diff -ru src.old/org/gradle/plugins/ide/eclipse/EclipseWtpPlugin.groovy src/org/gradle/plugins/ide/eclipse/EclipseWtpPlugin.groovy
--- src.old/org/gradle/plugins/ide/eclipse/EclipseWtpPlugin.groovy	2011-11-21 22:46:04.000000000 +0100
+++ src/org/gradle/plugins/ide/eclipse/EclipseWtpPlugin.groovy	2011-11-21 22:47:57.000000000 +0100
@@ -91,7 +91,7 @@
                 //model properties:
                 eclipseWtpModel.component = component
 
-                component.deployName = project.name
+                component.deployName = project.eclipse.project.name
 
                 if (WarPlugin.class.isAssignableFrom(type)) {
                     component.libConfigurations = [project.configurations.runtime]
@@ -125,7 +125,7 @@
                         //model properties:
                         eclipseWtpPlugin.eclipseWtpModel.component = component
 
-                        component.deployName = otherProject.name
+                        component.deployName = otherProject.eclipse.project.name
                         component.conventionMapping.resources = {
                             getMainSourceDirs(otherProject).collect { new WbResource("/", otherProject.relativePath(it)) }
                         }
diff -ru src.old/org/gradle/plugins/ide/eclipse/model/internal/WtpComponentFactory.groovy src/org/gradle/plugins/ide/eclipse/model/internal/WtpComponentFactory.groovy
--- src.old/org/gradle/plugins/ide/eclipse/model/internal/WtpComponentFactory.groovy	2011-11-21 22:46:04.000000000 +0100
+++ src/org/gradle/plugins/ide/eclipse/model/internal/WtpComponentFactory.groovy	2011-11-21 22:46:59.000000000 +0100
@@ -65,7 +65,7 @@
         }
 
         allProjects.collect { project ->
-            new WbDependentModule(deployPath, "module:/resource/" + project.name + "/" + project.name)
+            new WbDependentModule(deployPath, "module:/resource/" + project.eclipse.project.name + "/" + project.eclipse.project.name)
         }
     }
 
